List narratives
curl --request GET \
--url https://www.prometheus.services/api/v1/intelligence/narratives \
--header 'X-API-KEY: <api-key>'import requests
url = "https://www.prometheus.services/api/v1/intelligence/narratives"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://www.prometheus.services/api/v1/intelligence/narratives', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"asOf": "2026-07-29",
"items": [
{
"narrativeId": 754,
"name": "FY2026 Adjusted Operating Income Growth",
"description": "This cluster tracks year-over-year adjusted operating income and earnings per share growth for industrials, logistics, and defense companies in FY2026, with a h…",
"lifecycleState": "accelerating",
"breadth": 15,
"breadthPrevQuarter": 17,
"momentum": 124,
"mentions28d": 147,
"netDirection": 0.9178,
"forwardShare": 0.0052,
"sectorCount": 4,
"matchedTickers": [
"ACN",
"BA",
"CAT"
],
"companyMentions": 466,
"policyMentions": 0,
"policyVoices": 0,
"policyVoiceNames": []
},
{
"narrativeId": 465,
"name": "Healthcare Sector Q1 FY2026 Earnings Performance",
"description": "Statements summarizing healthcare and life sciences companies' Q1 FY2026 quarterly results, broadly characterizing performance as strong, solid, or in line with…",
"lifecycleState": "accelerating",
"breadth": 11,
"breadthPrevQuarter": 10,
"momentum": 133,
"mentions28d": 133,
"netDirection": 0.8992,
"forwardShare": 0.0963,
"sectorCount": 4,
"matchedTickers": [
"ABBV",
"ABT",
"AMGN"
],
"companyMentions": 478,
"policyMentions": 0,
"policyVoices": 0,
"policyVoiceNames": []
},
{
"narrativeId": 896,
"name": "Industrial Companies' FY2026 Revenue Growth Guidance",
"description": "Major industrial and logistics companies providing forward guidance on revenue and sales growth expectations for fiscal year 2026, including specific quarterly …",
"lifecycleState": "accelerating",
"breadth": 14,
"breadthPrevQuarter": 13,
"momentum": 94,
"mentions28d": 105,
"netDirection": 0.8678,
"forwardShare": 0.9419,
"sectorCount": 2,
"matchedTickers": [
"BA",
"CAT",
"DE"
],
"companyMentions": 610,
"policyMentions": 0,
"policyVoices": 0,
"policyVoiceNames": []
}
],
"total": 1267,
"hiddenByFloor": 0,
"universeTotal": 1843,
"policyOnlyTotal": 182
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}Intelligence
List narratives
Active cross-company narratives.
GET
/
api
/
v1
/
intelligence
/
narratives
List narratives
Authorizations
apiKeycognitoIdToken
Prometheus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Response
OK
The response is of type object.
⌘I